# DAGetArray

Gets a work array for a DA

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetArray(DA da,PetscTruth ghosted,void **iptr)

### Input Parameter

| da | - information about my local patch
| ghosted | - do you want arrays for the ghosted or nonghosted patch

### Output Parameters

ptr -array data structured

Note: The vector values are NOT initialized and may have garbage in them, so you may need to zero them.

### See Also

DARestoreArray(), DAGetAdicArray()

Level:advanced
Location: src/dm/da/src/dalocal.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages